replaceNA = function(x) {
  for(i in 1:ncol(x)){
    # x[is.na(x[,i]),i]=mean(x[,i], na.rm = T)
    x[is.na(x[,i]),i] <- max(x[,i], na.rm = T)
    # x[is.na(x[,i]),i]=99
  }
  return (x)	
}


replaceNAFactor = function(x) {
  for(j in 1:ncol(x))
    for(i in 1:nrow(x)) {
      if(is.na(x[i,j])) {
        x[i,j] <- factor("None")
      }
    }
  return (x)	
}

correctReligionRomania = function(y) {
  for (j in 1:length(y)) {
    if (y[j] >= 1 && y[j] <= 5)
      y[j] <- 1 # Christian
    else if (y[j] == 6)
      y[j] <- 2 # Muslim
    else if (y[j] == 7)
      y[j] <- 3 # Other religion
    else
      y[j] <- 4 # Atheis / Irreligion / NA
  }
  
  y <- factor(y, levels = c(1:4),
                  labels = c("Christian", "Muslim", "Other", "Irreligion"))

  return(y)
}


correctEmigration = function(y) {
  for (j in 1:length(y)) {
    if (y[j] > 4 || is.na(y[j]))
      y[j] <- 4 # None
  }
  
  y <- factor(y, levels = c(1:4),
              labels = c("Strong", "Much", "Some", "None"))
  
  return(y)
}


correctChurch = function(y) {
  for (j in 1:length(y)) {
    if (y[j] > 4 || is.na(y[j]))
      y[j] <- 4 # Never
  }
  
  y <- factor(y, levels = c(1:4),
              labels = c("Regularly", "Often", "Sometimes", "Never"))
  
  return(y)
}


correctPray = function(y) {
  for (j in 1:length(y)) {
    if (y[j] > 4 || is.na(y[j]))
      y[j] <- 4 # Never
  }
  
  y <- factor(y, levels = c(1:4),
              labels = c("Regularly", "Often", "Sometimes", "Never"))
  
  return(y)
}


correctReligiousPractice = function(x) {
  for (j in 1:ncol(x)) {
    for (i in 1:nrow(x)) {
      if (x[i,j] > 4)
        x[i,j] <- 4 # Never
    }
    
    x[,j] <- factor(x[,j], levels = c(1:4),
              labels = c("Regularly", "Often", "Sometimes", "Never"))
  }
}


convert2Factor = function(x) {
  for(i in 1:ncol(x)){
    x[,i] <- factor(x[,i], levels = c(1:length(unique(x[,i]))),
                     labels = names(attributes(x[,i])$labels))
    # x[,i] <- factor(x[,i])
  }
  return (x)
}
